{
  "name": "node-datachannel",
  "version": "0.32.3",
  "description": "WebRTC For Node.js and Electron. libdatachannel node bindings.",
  "main": "./dist/cjs/lib/index.cjs",
  "module": "./dist/esm/lib/index.mjs",
  "types": "./dist/types/lib/index.d.ts",
  "typesVersions": {
    "*": {
      "*": [
        "dist/types/lib/index.d.ts"
      ],
      "polyfill": [
        "dist/types/polyfill/index.d.ts"
      ]
    }
  },
  "exports": {
    ".": {
      "types": "./dist/types/lib/index.d.ts",
      "require": "./dist/cjs/lib/index.cjs",
      "import": "./dist/esm/lib/index.mjs",
      "default": "./dist/lib/esm/index.mjs"
    },
    "./polyfill": {
      "types": "./dist/types/polyfill/index.d.ts",
      "require": "./dist/cjs/polyfill/index.cjs",
      "import": "./dist/esm/polyfill/index.mjs",
      "default": "./dist/polyfill/esm/index.mjs"
    }
  },
  "engines": {
    "node": ">=18.20.0"
  },
  "binary": {
    "napi_versions": [
      8
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/murat-dogan/node-datachannel.git"
  },
  "license": "MPL 2.0",
  "homepage": "https://github.com/murat-dogan/node-datachannel#readme",
  "devDependencies": {
    "@rollup/plugin-esm-shim": "^0.1.7",
    "@rollup/plugin-replace": "^6.0.1",
    "@types/jest": "^29.5.12",
    "@types/node": "^20.6.1",
    "@types/webrtc": "^0.0.46",
    "@typescript-eslint/eslint-plugin": "^7.17.0",
    "@typescript-eslint/parser": "^7.17.0",
    "cmake-js": "^7.3.0",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-jest": "^28.6.0",
    "eslint-plugin-prettier": "^5.2.1",
    "jest": "^29.7.0",
    "jsdom": "^24.1.1",
    "node-addon-api": "^7.0.0",
    "prebuild": "^13.0.1",
    "prettier": "^3.3.3",
    "puppeteer": "^22.14.0",
    "rimraf": "^5.0.9",
    "rollup": "^4.22.5",
    "rollup-plugin-dts": "^6.1.1",
    "rollup-plugin-esbuild": "^6.1.1",
    "ts-api-utils": "^1.3.0",
    "ts-jest": "^29.2.3",
    "ts-node": "^10.9.2",
    "typescript": "5.4"
  },
  "dependencies": {
    "prebuild-install": "^7.1.3"
  }
}